Name:           google-authenticator
Version:        1.09
Release:    1%{?dist}
Summary:        One-time pass-code support using open standards

License:        ASL 2.0
URL:            https://github.com/google/%{name}-libpam/
Source0:        https://github.com/google/%{name}-libpam/archive/%{version}.zip
BuildRequires:  pam-devel
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires: make

%description
The Google Authenticator package contains a plug-able authentication
module (PAM) which allows login using one-time pass-codes conforming to
the open standards developed by the Initiative for Open Authentication
(OATH) (which is unrelated to OAuth).

Pass-code generators are available (separately) for several mobile
platforms.

These implementations support the HMAC-Based One-time Password (HOTP)
algorithm specified in RFC 4226 and the Time-based One-time Password
(TOTP) algorithm currently in draft.

%prep
%setup -q -n %{name}-libpam-%{version}

%build
./bootstrap.sh
%configure
make %{?_smp_mflags}

%check
make check

%install
%make_install

%files
/%{_usr}/%{_lib}/security/*
%{_bindir}/%{name}
%doc CONTRIBUTING.md
%doc %attr(0644,root,root) %{_mandir}/man1/%{name}*
%doc %attr(0644,root,root) %{_mandir}/man8/pam_google_authenticator*
%docdir %{_docdir}/%{name}
%license LICENSE
%{_docdir}/%{name}/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-1
- initial build
